Subject: Re: [PATCH 3/4] t: rev-parse-parents: avoid yoda conditions

From: Junio C Hamano <[email-masked]>
Date: Tue, 03 Sep 2013 10:33:47 -0700

Junio C Hamano <[email-masked]> writes:

> Felipe Contreras <[email-masked]> writes:
>
>> There are two ways to fix an inconsistency, the other way is to fix
>> test_cmp. But that would be a change, and change is not welcome in
>> Git.
>
> If you want to do "test_cmp $actual $expect", you would have to
> first "fix" people's expectation that "diff A B" produces a change
> necessary to bring A to B, which would not likely to happen.  We do
> the 'test_cmp expect actual' for a reason.

By the way, I found the other changes (especially the last one) very
sensible.